jQuery 2.0 nu va merge sub versiunile vechi de IE


Dacă am vorbit recent despre ce va aduce nou jQuery Mobile 1.3.0, să spunem că nu de mult timp a apărut jQuery 1.9.0 dar există deja beta-ul pentru 2.0 şi… vine cel puţin o schimbare majoră: adio suport pentru Internet Explorer 6, 7 sau 8. Câştigul e important: versiunea 2.0 va fi mai mică decât 1.9, pentru că nu va conţine toate cazuisticile pentru împăcarea cu versiunile vechi de IE. Aceasta înseamnă niscaiva bătaie de cap pentru webmasteri, care fie vor trebui să renunţe la IE 6-8, fie să încarce versiunea 1.9 sau 2.0 după navigatorul clientului. Mai multe detalii în anunţul oficial.

imagine

Dar o noutate mai mare şi generatoare de bucurie este revenirea la un director de pluginuri oferit de situl jQuery: se găseşte la adresa plugins.jquery.com. Găsim pe moment peste 200 de pluginuri, grupate pe categorii precum UI, Animaţii, Formulare, Efecte, Slideshow-uri, Slider-e… Pentru un plugin avem informaţii despre autor, licenţă, versiuni, date, precum şi – evident! – buton de descărcare sau link către pagina proiectului, respectiv către o pagină demonstrativă. Să sperăm că va deveni mai util decât în prima variantă, de acum câţiva ani.

imagine


Apreciază articolul:

1 stea2 stea3 stea4 stea5 stea (1 evaluări, media: 5,00 din 5)
Loading...Loading...

0 comentarii


Lasă un răspuns

Adresa ta de email nu va fi publicată. Câmpurile necesare sunt marcate *